mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.AsymmetricSignatureDeformatter Signature verification using the DSA algorithm. You are encouraged to use this class for verifying all DSA signatures to ensure code portability with all DSA implementation. Some DSA implementations, like , provides some helper methods but these methods will limit your code to use this specific class.
- Constructor
  Create a new instance of the class.
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  An instance of a object. Instance derived from other classes are ignored.
  Create a new instance of the class with the specified asymmetric key.
  Using this constructor is equivalent to the following code: `DSASignatureDeformatter d = new DSASignatureDeformatter (); d.SetKey (dsa);`
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` Name of the hash algorithm. This name will be resolved by to create an instance of the class. Set the hash algorithm to be used to verify the digital signature. For DSA the default (and only acceptable) hash algorithm is SHA-1.

  This class only support the hash algorithm. Any name that resolves in another hash algorithm (or anything else) will throw a . This is a restriction of the DSA algorithm (FIPS 186) not of the class library.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` An instance of a object. Instance derived from other classes are ignored. Set the public key to be used to verify signatures. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` The hash to be signed. The signature to be verified. Verify the signature for the specified hash value using the DSA public key. True if the signature match the specified hash (with the DSA public key), false otherwise.

  A will be thrown if a object instance hasn't been set in the constructor or by .

  The hash byte array should always have 20 bytes as only the SHA-1 algorithm is supported.

  The size of the signature, 40 bytes, isn't affected by the length of the public key (512 - 1024 bits).

  1.0.5000.0
  2.0.0.0
System.Runtime.InteropServices.ComVisible(true)